org.wso2.carbon.dataservices.ui.beans

## Class AuthProvider

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.AuthProvider

-     public class AuthProvider
      extends DataServiceConfigurationElement

  This is Auth Provider bean.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(Property property)`
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `String` | `getClassName()`
    `ArrayList<Property>` | `getProperties()`
    `void` | `setClassName(String className)`
    `void` | `setProperties(ArrayList<Property> properties)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthProvider

          public AuthProvider()

  - ### Method Detail

    - #### getClassName

          public String getClassName()

    - #### setClassName

          public void setClassName(String className)

    - #### getProperties

          public ArrayList<Property> getProperties()

    - #### setProperties

          public void setProperties(ArrayList<Property> properties)

    - #### addProperty

          public void addProperty(Property property)

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

Copyright © 2019 WSO2. All rights reserved.